aoxsuper.conf(5)

NAME
aoxsuper.conf - configuration file for Archiveopteryx.

SYNOPSIS
/etc/aoxsuper.conf

DESCRIPTION

The aoxsuper.conf file contains a few configuration settings for Archiveopteryx. It is read by aox(8) at startup. Syntax errors, unknown variables, and other errors are logged on stderr.

aoxsuper.conf is usually created at installation time, by running /usr/local/libexec/archiveopteryx/installer.

There is only one required variable, namely db-owner-password.

SECURITY NOTE
Anyone who can read aoxsuper.conf can see the database owner password, and use this password to read all mail, or even to damage or destroy the mail database.

By default, aoxsuper.conf is readable only by root.

SETTINGS

The format is as for archiveopteryx.conf(5):

    name = value # comment

All variables in archiveopteryx.conf(5) may be overridden in aoxsuper.conf, if it is necessary that aox(8) sees a different value than the servers see.

  Database Access

db-owner
    The name of the Postgres user that owns the database and is used to perform privileged operations (such as deleting mail). The default is aoxsuper.

db-owner-password
    The database password used for the db-owner. The default is an empty string.

    Unless a password is specified, the Archiveopteryx installer sets up a randomly-chosen password and writes it to the configuration file.

AUTHOR
The Archiveopteryx Developers, info@aox.org.

VERSION
This man page covers Archiveopteryx version 3.2.0, released 2013-12-02, http://archiveopteryx.org/3.1.3

SEE ALSO
archiveopteryx.conf(5), archiveopteryx(8), deliver(8), logd(8), http://archiveopteryx.org